curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieve a list of all datasets in the project with filtering and pagination options
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
The page number from which you want your page search results to be displayed.
Number of results per page
Specifies if advanced filters should be applied.
Storage Type
Encryption
Responses
Section titled “Responses”Success response with dataset information.
object
HTTP status code for the operation.
object
Unique identifier of the dataset.
Name of the dataset.
ID of the project associated with the dataset.
Description of the dataset, which is null in this case.
Type of storage used for the dataset.
Persistent volume claim (PVC) details, which is null in this case.
object
Unique identifier of the bucket.
Name of the storage bucket.
URL of the bucket.
Endpoint URL of the object store.
Whether the bucket is managed.
EOS bucket permission ID.
object
Unique identifier for the access key.
The access key.
The secret key for accessing the bucket.
A tag associated with the access key.
Whether the access key is managed.
Type of encryption used, which is null in this case.
Whether encryption is enabled for the dataset.
Status of the dataset.
object
User ID of the creator.
Name of the creator.
Email of the creator.
Username of the creator.
Timestamp of when the dataset was created.
Timestamp of when the dataset was last updated.
Any errors encountered during the operation.
object
Message indicating the result of the operation.
Total number of pages of dataset information available.
Total number of datasets returned.
Example
{ "code": 200, "data": [ { "id": 1306, "name": "tir-dataset-111415255656", "project_id": 124, "storage_type": "managed", "bucket": { "id": 2519, "bucket_name": "d-gpu-eec9c7b5-be21-4303-ad86-78fa3b2ba284", "bucket_url": "s3://d-gpu-eec9c7b5-be21-4303-ad86-78fa3b2ba284/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 10205 }, "access_key": { "id": 2536, "access_key": "CKEAFAC2WW1R3CRM4YR2", "secret_key": "X8PB1JFEYIFP1LZIRKPKYBDSCD57R15A9CMGD6UP", "tag": "akgpu6bdbe89619c949d382acf141fb76c204", "is_managed": true }, "encryption_enable": false, "status": "OK", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-14T09:56:02.477591Z", "updated_at": "2024-11-14T09:56:02.477647Z" } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}